Add

  • POST
  • /workspaces
  • /:workspace
  • /groups
  • /:group_id
  • /members

Adds a user to the group

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

group_idrequiredinteger
The ID of the group

Example: 123

POST PARAMETERS
idrequiredinteger
The ID of the user
statusstring enum
The status of the group member
Allowed enum:
MEMBER,
MANAGER

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the user
namestring
The name of the user
avatar_urlstring
The avatar URL of the user
emailstring
The email address of the user
adminboolean
Whether the user has admin privileges
workspace_ownerboolean
Whether the user is workspace owner
statusstring enum
The status of the group member
Allowed enum:
MEMBER,
MANAGER

Last modified on Jan 26, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/groups/:group_id/members" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "id": 216, "status": "MEMBER" }'